bos_install(8)

NAME
bos_install - Installs a new version of a binary file

SYNOPSIS
bos install << -server <machine name >>> << -file <files to install+ >>>
    << [-dir <destination dir] >>> << [-cell <cell name] >>>
    [-noauth] [-localauth] [-help]

bos i << -s <machine name >>> << -f <files to install+ >>>
    << [-d <destination dir] >>> << [-c <cell name] >>> [-n]
    [-l] [-h]

DESCRIPTION
The bos install command copies each binary file specified with the -file argument to the local disk of the server machine named by the -server argument, which is normally the binary distribution machine for its CPU/operating system type. The destination directory is /usr/afs/bin unless the -dir argument indicates an alternate directory. The source file's UNIX mode bits are preserved in the transfer.

If there is already a file of the same name in the destination directory, the BOS Server automatically saves it by adding a .BAK extension. If there is a current .BAK version at least seven days old, it replaces the current .OLD version. If there is no current .OLD version, the current .BAK version becomes the .OLD version automatically. The bos getdate command displays the timestamps on the current versions of the file.

To start using the new binary immediately, issue the bos restart command. Otherwise, the BOS Server automatically restarts the process at the time defined in the /usr/afs/local/BosConfig file; use the bos getrestart command to display the time and the bos setrestart time to set it.

OPTIONS

-server <machine name>
    Indicates the binary distribution machine on which to install the new binaries. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the bos(8) manpage.

    If the machine is not a binary distribution machine and is running an upclientbin process, then the files are overwritten the next time the upclientbin process fetches the corresponding file from the distribution machine (by default within five minutes).

-file <files to install>+
    Specifies the complete pathname of each binary file to copy into the destination directory. Each source directory can be on the local disk or in AFS, in which case the issuer of the bos install command must have the necessary AFS access rights and the local machine must run the Cache Manager. For the BOS Server to create .BAK and .OLD versions, the last element in the pathname (the filename) must match the name of a file in the destination directory. the bos_create(8) manpage lists the standard binary file names.

-dir <destination dir>
    Provides the complete pathname of the local disk directory in which to install binary files. It is necessary only if the destination directory is not /usr/afs/bin.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the bos(8) manpage.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the bos(8) manpage.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the bos(8) manpage.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command copies the file /afs/abc.com/rs_aix42/usr/afs/bin/vlserver to the file /usr/afs/bin/vlserver on the machine fs3.abc.com, which is the binary distribution machine for server machines running AIX 4.2 in the abc.com cell. The current version of the /usr/afs/bin/vlserver file is moved to /usr/afs/bin/vlserver.BAK.

   % bos install -server fs3.abc.com \
                 -file /afs/abc.com/rs_aix42/usr/afs/bin/vlserver

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

SEE ALSO
the BosConfig(5) manpage, the KeyFile(5) manpage, the UserList(5) manpage, the bos(8) manpage, the bos_getdate(8) manpage, the bos_getrestart(8) manpage, the bos_restart(8) manpage, the bos_setrestart(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.